%global sum	Defend your computers from Wingdows Viruses

Name:		xbill
Version:	2.1
Release:	%mkrel 20
Summary:	%{sum}
Group:		Games/Arcade
License:	GPLv2+
Source0:	%{name}-%{version}.tar.bz2
Patch0:		xbill-2.1-gtk2.patch
Url:		http://www.xbill.org/
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(x11)
BuildRequires:	imagemagick

%description
Ever get the feeling that nothing is going right?  You're a sysadmin,
and someone's trying to destroy your computers.  The little people
running around the screen are trying to infect your computers with
Wingdows [TM], a virus cleverly  designed to resemble a popular
operating system.  Your objective is to click the mouse on them, ending
the potential threat. If one of the people reaches a computer, it will
attempt to replace your operating system with the virus it carries.
It will then attempt to run off the screen with your vital software.
If one of the people reaches a computer, it will attempt to replace
your operating system with the virus it carries. It will then attempt
to run off the screen with your vital software..

%prep
%setup -q
%autopatch -p0

%build
autoreconf -vfi
%configure	--disable-motif \
		--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir} \
		--localstatedir=%{_localstatedir}/lib/games
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=XBill
Comment=%{sum}
Exec=%_gamesbindir/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF

install -d %{buildroot}{%{_iconsdir},%{_miconsdir},%{_liconsdir}}
convert -size 16x16 %{name}.gif %{buildroot}%{_miconsdir}/%{name}.png
convert -size 32x32 %{name}.gif %{buildroot}%{_iconsdir}/%{name}.png
convert -size 48x48 %{name}.gif %{buildroot}%{_liconsdir}/%{name}.png

%files
%doc README README.Ports ChangeLog
%attr(0755,root,games) %{_gamesbindir}/%{name}
%dir %{_gamesdatadir}/%{name}
%{_gamesdatadir}/%{name}
%{_mandir}/man6/xbill.6*
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%attr(0664,root,games) %{_localstatedir}/lib/games/xbill/scores
%{_datadir}/applications/%{name}.desktop


%changelog
* Thu Mar 31 2022 umeabot <umeabot> 2.1-20.mga9
+ Revision: 1836706
- Mageia 9 Mass Rebuild

* Thu Apr 23 2020 danf <danf> 2.1-19.mga8
+ Revision: 1571477
- Fix Comment= in .desktop file

* Fri Feb 14 2020 umeabot <umeabot> 2.1-18.mga8
+ Revision: 1518593
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 2.1-17.mga7
+ Revision: 1301806
- Mageia 7 Mass Rebuild

* Fri Jun 08 2018 wally <wally> 2.1-16.mga7
+ Revision: 1235495
- remove setgid bit from binary

* Fri Jun 08 2018 wally <wally> 2.1-15.mga7
+ Revision: 1235494
- add patch from gentoo to use gtk2
- disable motif

* Fri Feb 05 2016 umeabot <umeabot> 2.1-14.mga6
+ Revision: 939462
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.1-13.mga5
+ Revision: 746079
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1-12.mga5
+ Revision: 690553
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.1-11.mga4
+ Revision: 532800
- Mageia 4 Mass Rebuild

* Thu Aug 22 2013 luigiwalser <luigiwalser> 2.1-10.mga4
+ Revision: 469587
- rebuild for xaw3d

* Mon Jan 14 2013 umeabot <umeabot> 2.1-9.mga3
+ Revision: 386582
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 22 2012 kamil <kamil> 2.1-8.mga2
+ Revision: 199574
- rebuild against renamed xaw3d
- fix license (according to Debian it's GPLv2+)
- clean .spec

* Sun May 08 2011 grenoya <grenoya> 2.1-7.mga1
+ Revision: 96400
- clean old Mdv syntax
- imported package xbill


* Tue Dec 21 2010 Funda Wang <fwang@mandriva.org> 2.1-7mdv2011.0
+ Revision: 623686
- update BR

* Wed Sep 09 2009 Thierry Vignaud <tv@mandriva.org> 2.1-6mdv2010.0
+ Revision: 435033
- rebuild

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 2.1-5mdv2009.0
+ Revision: 242984
- rebuild
- drop old menu
- kill re-definition of %%buildroot on Pixel's request
- kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Aug 21 2007 Olivier Thauvin <nanardon@mandriva.org> 2.1-3mdv2008.0
+ Revision: 68567
- rebuild


* Fri Jul 14 2006 Olivier Thauvin <nanardon@mandriva.org>
+2006-07-14 18:45:45 (41162)
- fix menu

* Fri Jul 14 2006 Olivier Thauvin <nanardon@mandriva.org>
+2006-07-14 18:43:35 (41161)
- xdg menu

* Fri Jul 14 2006 Olivier Thauvin <nanardon@mandriva.org>
+2006-07-14 18:22:42 (41160)
- rebuild

* Fri Jul 14 2006 Olivier Thauvin <nanardon@mandriva.org>
+2006-07-14 18:17:14 (41159)
Import xbill

* Tue Dec 14 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.1-1mdk
- initial(?) mdk relase

